import type { CapacitorConfig } from '@capacitor/cli';

const config: CapacitorConfig = {
  appId: 'com.heychat.live',
  appName: 'hey聊',
  webDir: 'www',
  android: {
    buildOptions: {
      releaseType: 'APK',
      keystorePath: './heychat.keystore',
      keystorePassword: 'heyliao888',
      keystoreAlias: 'heychat',
      keystoreAliasPassword: 'heyliao888'
    }
  },
  cordova: {
    preferences: {
      ScrollEnabled: 'false',
      BackupWebStorage: 'none',
      SplashMaintainAspectRatio: 'true',
      FadeSplashScreenDuration: '300',
      SplashShowOnlyFirstTime: 'false',
      SplashScreen: 'screen',
      SplashScreenDelay: '3000'
    }
  }
};

export default config;
